Subject: Hotel room available at HKG airport on 23 Nov

From: Barry Leiba <[email-masked]>
Date: Thu, 24 Oct 2019 19:35:21 -0400

Hey, all,

My flight plans home from the Singapore meeting went through HKG and I
booked a prepaid, non-refundable room at the Regal Hotel HKG (attached
to the terminal) for Saturday night, 23 Nov.  My flight plans have
changed and I won't be using the room.  I checked with the hotel and
they won't accommodate the change, so...

If anyone can use the room, it's yours.  Please contact me off-list.

Barry